#!/bin/sh

if test ! -f "/proc/mounts"; then
	mount /proc
fi
mount -o remount,sync,noatime /

# Mount SD...
if test ! "`mount | grep "/disc0/"`"; then
	echo "Mount SD disc, if not mounted..."
	mount -t vfat -o iocharset=utf8,noatime,sync /dev/discs/disc0/part1 /mnt/sd
fi

# Suspend net2272 module...
modprobe net2272 susp=0
rmmod net2272

ifconfig lo 127.0.0.1

# Delete UUCP lock files, state subsystem files, stale pid files
rm -f /var/lock/LCK*
rm -f /var/lock/subsys/*
rm -f /var/run/*.pid

if test $1 && test $1 == "boot"; then
	exit
fi

/usr/gp2x/nandmount.sh

if test -f /mnt/sd/gp2xnand.tar.gz; then
	tar -zxvf /mnt/sd/gp2xnand.tar.gz -C /mnt/nand
fi

